Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.utils
Interface NamespacesScope.NamespacesHandler

All Known Implementing Classes:
  XMLValidator, TraverseSchema

public static interface NamespacesScope.NamespacesHandler

NamespacesHandler allows a client to be notified when namespace scopes change

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`void` | `endNamespaceDeclScope(int prefix)` endNamespaceDeclScope is called when a namespace scope ends
`void` | `startNamespaceDeclScope(int prefix, int uri)` startNamespaceDeclScope is called when a new namespace scope is created

Method Detail

### startNamespaceDeclScope

    public void startNamespaceDeclScope(int prefix,
                                        int uri)
                                 throws java.lang.Exception

  startNamespaceDeclScope is called when a new namespace scope is created

  Parameters:
    `prefix` - the StringPool handle of the namespace prefix being declared
    `uri` - the StringPool handle of the namespace's URI
  Throws:
    java.lang.Exception -

### endNamespaceDeclScope

    public void endNamespaceDeclScope(int prefix)
                               throws java.lang.Exception

  endNamespaceDeclScope is called when a namespace scope ends

  Parameters:
    `prefix` - the StringPool handle of the namespace prefix going out of scope
  Throws:
    java.lang.Exception -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD